
Enduro/X Core - Bug #264

Fix build warnings

12/19/2017 02:29 PM - Madars

Status: Closed Start date: 12/19/2017

Priority: Normal (Code 4) Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Description

2%] Building C object ubftest/CMakeFiles/ubfunit1.dir/test_mkfldhdr.c.o

[ 12%] Building C object ubftest/CMakeFiles/ubfunit1.dir/test_nstd_crypto.c.o

[ 12%] Building C object ubftest/CMakeFiles/ubfunit1.dir/test_nstd_b64.c.o

In file included from /home/mvitolin/projects/endurox/include/cgreen/cgreen.h:7:0,

                 from /home/mvitolin/projects/endurox/ubftest/test_nstd_b64.c:35:

/home/mvitolin/projects/endurox/ubftest/test_nstd_b64.c: In function ‘test_nstd_base64’:

/home/mvitolin/projects/endurox/ubftest/test_nstd_b64.c:71:22: warning: implicit declaration of function ‘ndrx_xa_base64_encode’

 [-Wimplicit-function-declaration]

     assert_not_equal(ndrx_xa_base64_encode(M_bin_data, sizeof(M_bin_data),

                      ^

/home/mvitolin/projects/endurox/include/cgreen/assertions.h:50:65: note: in definition of macro ‘assert_not_equal’

         assert_not_equal_(__FILE__, __LINE__, #tried, (intptr_t)tried, (intptr_t)expected)

                                                                 ^

/home/mvitolin/projects/endurox/ubftest/test_nstd_b64.c:77:22: warning: implicit declaration of function ‘ndrx_xa_base64_decode’

 [-Wimplicit-function-declaration]

     assert_not_equal(ndrx_xa_base64_decode(str, strlen(str),

                      ^

/home/mvitolin/projects/endurox/include/cgreen/assertions.h:50:65: note: in definition of macro ‘assert_not_equal’

         assert_not_equal_(__FILE__, __LINE__, #tried, (intptr_t)tried, (intptr_t)expected)

                                                                 ^

[ 12%] Linking C executable ubfunit1

[ 12%] Built target ubfunit1

Scanning dependencies of target mkfldhdr

[ 12%] Building C object mkfldhdr/CMakeFiles/mkfldhdr.dir/mkfldhdr.c.o

[ 12%] Building C object mkfldhdr/CMakeFiles/mkfldhdr.dir/clang.c.o

[ 13%] Building C object mkfldhdr/CMakeFiles/mkfldhdr.dir/golang.c.o

[ 13%] Linking C executable mkfldhdr

[ 13%] Built target mkfldhdr

Scanning dependencies of target atmi

[ 13%] Building C object libatmi/CMakeFiles/atmi.dir/atmi.c.o

/home/mvitolin/projects/endurox/libatmi/atmi.c: In function ‘tpconvert’:

/home/mvitolin/projects/endurox/libatmi/atmi.c:764:9: warning: implicit declaration of function ‘ndrx_tpconvert’

 [-Wimplicit-function-declaration]

     ret=ndrx_tpconvert(str, bin, flags);

         ^

[ 13%] Building C object libatmi/CMakeFiles/atmi.dir/tperror.c.o

[ 13%] Building C object libatmi/CMakeFiles/atmi.dir/tpcall.c.o

[ 13%] Building C object libatmi/CMakeFiles/atmi.dir/typed_buf.c.o

[ 13%] Building C object libatmi/CMakeFiles/atmi.dir/typed_ubf.c.o

[ 13%] Building C object libatmi/CMakeFiles/atmi.dir/typed_tpinit.c.o

[ 16%] Building C object libatmi/CMakeFiles/atmi.dir/onerror.c.o

[ 16%] Building C object libatmi/CMakeFiles/atmi.dir/tpnotify.c.o

[ 16%] Building C object libatmi/CMakeFiles/atmi.dir/identifiers.c.o

/home/mvitolin/projects/endurox/libatmi/identifiers.c: In function ‘ndrx_tpconvert’:

/home/mvitolin/projects/endurox/libatmi/identifiers.c:704:13: warning: implicit declaration of function ‘atmi_xa_serialize_xid’

 [-Wimplicit-function-declaration]

             atmi_xa_serialize_xid((XID *)bin, str);

             ^

/home/mvitolin/projects/endurox/libatmi/identifiers.c:737:13: warning: implicit declaration of function ‘atmi_xa_deserialize_xid’

 [-Wimplicit-function-declaration]

             atmi_xa_deserialize_xid(str, (XID *)bin);
             ^

[ 16%] Linking C shared library libatmi.so

[ 16%] Built target atmi

Scanning dependencies of target atmisrvdum

[ 16%] Building C object libatmisrv/CMakeFiles/atmisrvdum.dir/dum.c.o

[ 16%] Linking C shared library libatmisrvdum.so

[ 16%] Built target atmisrvdum

History

#1 - 10/02/2022 11:29 PM - Madars

- Status changed from New to Resolved

Already done.

#2 - 02/03/2023 12:25 PM - Madars

- Status changed from Resolved to Closed
